<?php
/**
 * Perforce Swarm
 *
 * @copyright   2013-2019 Perforce Software. All rights reserved.
 * @license     Please see LICENSE.txt in top-level readme folder of this distribution.
 * @version     2018.3/1751405
 */

use Workflow\Model\IWorkflow;

return array(
    IWorkflow::WORKFLOW => array(
        IWorkflow::WORKFLOW_ENABLED => false // Can workflows be used? Default to false
    ),
    IWorkflow::WORKFLOW_RULES => array(
        IWorkflow::ON_SUBMIT => array(
            IWorkflow::WITH_REVIEW => array(
                IWorkflow::RULE => IWorkflow::NO_CHECKING,
                IWorkflow::MODE => IWorkflow::MODE_DEFAULT
            ),
            IWorkflow::WITHOUT_REVIEW => array(
                IWorkflow::RULE => IWorkflow::NO_CHECKING,
                IWorkflow::MODE => IWorkflow::MODE_DEFAULT
            ),
        ),
        IWorkflow::END_RULES => array(
            IWorkflow::UPDATE => array(
                IWorkflow::RULE => IWorkflow::NO_CHECKING,
                IWorkflow::MODE => IWorkflow::MODE_DEFAULT
            )
        ),
        IWorkflow::AUTO_APPROVE => array(
            IWorkflow::RULE => IWorkflow::NEVER,
            IWorkflow::MODE => IWorkflow::MODE_DEFAULT
        ),
        IWorkflow::COUNTED_VOTES => array(
            IWorkflow::RULE => IWorkflow::ANYONE,
            IWorkflow::MODE => IWorkflow::MODE_DEFAULT
        )
    ),
    'router' => array(
        'routes' => array(
            'workflows' => array(
                'type' => 'Zend\Mvc\Router\Http\Segment',
                'options' => array(
                    'route' => '/workflows[/]',
                    'defaults' => array(
                        'controller' => 'Workflow\Controller\Index',
                    )
                ),
                'may_terminate' => true,
                'child_routes' => array(
                    'rest_list_add' => array(
                        'type' => 'Zend\Mvc\Router\Http\Method',
                        'options' => array (
                            'verb' => 'get'
                        ),
                    ),
                ),
            ),
        ),
    ),
    'controllers' => array(
        'invokables' => array(
            'Workflow\Controller\Index' => 'Workflow\Controller\IndexController'
        ),
    ),
    'view_manager' => array(
        'template_map' => array(),
        'template_path_stack'   => array(
            __DIR__ . '/../view',
        ),
    )
);
